{% extends 'base.html.twig' %}

{% block title %}
	<title>Connexion</title>
{% endblock %}

{% block body %}

	<div class="container pt-5 pb-5 col-12 d-flex flex-column align-items-center">
		<h1 class="h2 mb-5 font-weight-normal">Se connecter</h1>
		<form method="post">
			{% if error %}
				<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
			{% endif %}

			<label for="inputEmail">Adresse mail</label>
			<input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control mb-4" autocomplete="email" required autofocus>
			
			<label for="inputPassword">Mot de passe</label>
			<input type="password" name="password" id="inputPassword" class="form-control mb-3" autocomplete="current-password" required>

			<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

			<p class="text-center text-decoration-none mt-3">
				<a href="{{ path('app_register') }}" class="text-dark">Mot de passe oublié</a>
			</p>

			<div class="d-flex justify-content-center pt-2 pb-3">
				<button class="btn btnR d-flex justify-content-center mb-4" type="submit">
					Se connecter
				</button>
			</div>

			<div class="d-flex flex-column justify-content-center align-items-center">
				<p class="mb-1">Pas encore de compte ?</p>
				<p>
					<a href="{{ path('app_register') }}" class="text-decoration-underline text-dark">S'inscrire</a>
				</p>
			</div>
		</form>
	</div>
{% endblock %}
